{
  "category": "Shinnex",
  "name": "All-in-One Bestelltask",
  "globalInputs": [],
  "tasks": [
    {
      "name": "Gummibärchen einpacken",
      "onFinish": "pause",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "empty.py",
      "parameters": []
    },
    {
      "name": "Einkaufswagenchip einpacken",
      "onFinish": "pause",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "empty.py",
      "parameters": []
    },
    {
      "name": "Produktschilder ausdrucken",
      "onFinish": "pause",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "product-label-script.py",
      "parameters": [
        {
          "parameterName": "label_paper_position",
          "type": "text",
          "displayName": "Position auf dem A4 Blatt (Beginnend mit 1 von oben links) (Mit Komma trennbar wie z. B. 1,3,7)"
        },
        {
          "parameterName": "product_type_id",
          "type": "select",
          "displayName": "Produkttyp auswählen",
          "options": [
            "#32420 Gizmo die Eidechse, Farbe, Grün/Blau/Orange (Glänzend)",
            "#83650 Gizmo die Eidechse, Farbe, Gold (Glänzend)",
            "#92784 Gizmo die Eidechse, Farbe, Glitzer Grün (Seidenmatt)",
            "#36521 Charlie das Häschen, Farbe, Hellbraun (Matt)",
            "#48273 Charlie das Häschen, Farbe, Gold (Glänzend)",
            "#71936 Ruby die Schlange, Farbe, Feuerrot (Glänzend)",
            "#58324 Ruby die Schlange, Farbe, Rot/Blau (Glänzend)",
            "#78648 Ruby die Schlange, Farbe, Gold (Glänzend)",
            "#21433 Bruno der Dino, Farbe, Grün/Blau/Orange (Glänzend)",
            "#57953 Bruno der Dino, Farbe, Rot/Blau (Glänzend)",
            "#90578 Bruno der Dino, Farbe, Gold (Glänzend)",
            "#51563 Bruno der Dino, Farbe, Himmelblau (Fluoreszierend)",
            "#23564 Flamara der Drache, Farbe, Feuerrot (Glänzend)",
            "#51139 Flamara der Drache, Farbe, Himmelblau (Fluoreszierend)",
            "#77970 Flamara der Drache, Farbe, Gold (Glänzend)",
            "#43356 Flamara der Drache, Farbe, Schwarz",
            "#32974 Finn der Sad Hamster, Stil, Standard",
            "#60798 Finn der Sad Hamster, Stil, Schlüsselanhänger",
            "#30563 Finn der Sad Hamster, Stil, Groß",
            "#93047 Mia das Kätzchen, Farbe, Grau",
            "#86423 Mia das Kätzchen, Farbe, Weiß",
            "#56083 Hoppel das Häschen, Farbe, Grau",
            "#78693 Elias der Corgi, Farbe, Braun/Weiß",
            "#37335 Axel der Axolotl, Farbe, Pink",
            "#26822 Dilo der Delfin, Farbe, Blau/Weiß",
            "#51665 Einhorn, Farbe, ",
            "#35717 Phoenix, Farbe, Sonderanfertigung Rosa/Weiß",
            "#74943 Brain der Fuchs, Stil, Standard"
          ]
        }
      ]
    },
    {
      "name": "Gutscheincodes für Bestellung erstellen",
      "onFinish": "pause",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "order-voucher-codes-script.py",
      "parameters": [
        {
          "parameterName": "orderId",
          "type": "text",
          "displayName": "Bestellnummer"
        },
        {
          "parameterName": "customerEmail",
          "type": "text",
          "displayName": "E-Mail vom Kunden"
        },
        {
          "parameterName": "customerName",
          "type": "text",
          "displayName": "Vorname vom Kunden"
        },
        {
          "parameterName": "productUrl",
          "type": "text",
          "displayName": "URL vom Produkt (Shopify) (z. B. https://shinnex.de/products/gizmo) (für Direktweiterleitung 5 € Gutschein QR-Code)"
        },
        {
          "parameterName": "discountCode",
          "type": "text",
          "displayName": "10 % Gutscheincode für den Kunden (in Shopify erstellen)"
        }
      ]
    },
    {
      "name": "Versandlabel erstellen",
      "onFinish": "pause",
      "undoPossible": false,
      "repeatPossible": true,
      "scriptPath": "order-package-label-script.py",
      "parameters": [
        {
          "parameterName": "shipping_label_url",
          "type": "text",
          "displayName": "Bild-URL des Versandlabels"
        },
        {
          "parameterName": "customer_first_name",
          "type": "text",
          "displayName": "Vorname des Kunden"
        }
      ]
    }
  ]
}